#
# spec file for package hamlog (Version 0.9.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gtk gtk-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         hamlog
Copyright:    1999 Nuno Miguel Fernandes Sucena Almeida
Group:        X11/Applications/Hamradio
Autoreqprov:  on
Version:      0.9.1
Release:      375
Summary:      Amateur Radio Logging program for X using GTK
Source:       ftp://sunsite.unc.edu/pub/Linux/apps/ham/log/HamLog-%{version}.src.tar.gz
Source1:      hamlog-wrapper
URL:	      http://student.dee.uc.pt/~slug/prog/
BuildRoot:    /var/tmp/%{name}-%{version}-build

%description
Amateur Radio Logging program for X using GTK

Authors:
--------
    Nuno Miguel Fernandes Sucena Almeida <slug@alumni.dee.uc.pt>

SuSE series: ham

%prep
%setup -n HamLog-%{version}

%build
make clean 
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{bin,share/hamlog}
install *.txt $RPM_BUILD_ROOT/usr/share/hamlog/
install HamLog-%{version} $RPM_BUILD_ROOT/usr/bin/
install $RPM_SOURCE_DIR/hamlog-wrapper $RPM_BUILD_ROOT/usr/bin/hamlog
chmod 755 $RPM_BUILD_ROOT/usr/bin/{hamlog,HamLog-%{version}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog HamLog-0.9.1.lsm README TODO
/usr/bin/*
/usr/share/hamlog/*

%changelog -n hamlog
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Mon May 15 2000 - bubnikv@suse.cz
- added buildroot, URL
- moved ~/hamlog directory to ~/.hamlog
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Wed Mar 31 1999 - bs@suse.de
- don't use lx_hack for build
* Thu Mar 04 1999 - ka@suse.de
- initial release
